<?php
namespace Ep;

use Zend\ServiceManager\Factory\InvokableFactory;

return [
    'validators' => [
        'aliases' => [
            'min_version' => Validator\MinVersion::class,
            'recaptcha'   => Validator\ReCaptcha::class,
            'smtp_server' => Validator\SmtpServer::class,

            'http.header_value'    => Http\Validator\HeaderValue::class,
            'http.json_response'   => Http\Validator\JsonResponse::class,
        ],

        'factories' => [
            Validator\MinVersion::class => InvokableFactory::class,
            Validator\ReCaptcha::class  => Validator\ReCaptchaFactory::class,
            Validator\SmtpServer::class => InvokableFactory::class,

            Http\Validator\HeaderValue::class    => InvokableFactory::class,
            Http\Validator\JsonResponse::class   => Http\Validator\JsonResponseFactory::class,
        ],
    ],
];